package com.zanxiang.game.data.serve.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.PathSelectors;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.service.ApiInfo;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * @author : lingfeng
 * @time : 2022-3-31
 * @description : Swagger2 配置
 */
@Configuration
@EnableSwagger2
public class SwaggerConfig {

    /**
     * 包扫描
     */
    @Bean
    public Docket createRestApi() {
        return new Docket(DocumentationType.SWAGGER_2)
                .useDefaultResponseMessages(false)
                .apiInfo(apiInfo())
                .select()
                .apis(RequestHandlerSelectors
                        .basePackage("com.zanxiang.game.data.serve"))
                .paths(PathSelectors.any())
                .build();
    }

    /**
     * api文档构造
     *
     * @return : 返回api模板
     */
    private ApiInfo apiInfo() {
        return new ApiInfoBuilder()
                .title("游戏数据服务")
                .version("1.0")
                .build();
    }
}
